Lingxing
切换旧版

生成承运方式

POST/amzStaServer/openapi/inbound-shipment/generateTransportList

接口信息

API Path请求协议请求方式令牌桶容量
/amzStaServer/openapi/inbound-shipment/generateTransportListHTTPSPOST1

请求参数

inboundPlanIdstring必填
STA任务编号,对应创建STA任务接口对应字段【inboundPlanId】
shipmentIdListarray<object>必填
发货信息:array,注意需提供所有货件单号的发货时间,生成所有货件的承运方式
隐藏子属性
palletListarray<object>
帕托信息:如果修改了帕托信息需要重新生成承运方式
隐藏子属性
heightnumber必填
高
lengthnumber必填
长
lengthUnitstring必填
长度单位(IN-英制,CM-公制)
quantityinteger必填
数量
stackabilitystring必填
是否可堆叠(STACKABLE、NON_STACKABLE)
weightnumber必填
单个重量
weightUnitstring必填
重量单位(LB-磅,KG-千克)
widthnumber必填
宽
shipingTimestring必填
发货时间:如果修改了发货时间需要重新生成承运方式
格式:yyyy-MM-dd
shipmentIdstring必填
货件id
sidinteger必填
亚马逊店铺sid,对应查询亚马逊店铺列表接口对应字段【sid】

请求cURL示例

curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-shipment/generateTransportList?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
    "shipmentIdList": [{
        "palletList": [{
            "height": "高",
            "length": "长",
            "lengthUnit": "长度单位(IN-英制,CM-公制)",
            "quantity": "数量",
            "stackability": "是否可堆叠(STACKABLE、NON_STACKABLE)",
            "weight": "单个重量",
            "weightUnit": "重量单位(LB-磅,KG-千克)",
            "width": "宽"
        }],
        "shipingTime": "发货时间:如果修改了发货时间需要重新生成承运方式",
        "shipmentId": "货件id"
    }],
    "sid": 1
}'

返回结果

codeinteger必填
状态码,0 成功
示例 0
messagestring必填
消息提示
示例 success
errorDetailsarray<any>必填
错误信息
requestIdstring必填
请求链路id
responseTimestring必填
响应时间
示例 2020-05-18 11:23:47
dataobject必填
响应数据
隐藏子属性
operationIdstring必填
操作id

返回成功示例

{
    "code": 0,
    "message": "操作成功",
    "errorDetails": [],
    "requestId": "3b3d867e7d014971a580549f107c8c5a.1732773886069",
    "responseTime": "2024-11-28T14:04:46.069",
    "data": {
        "operationId": "操作id"
    }
}